CustomRecord (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CustomRecord class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CustomRecord

    java.lang.Object
      com.microfocus.cobol.connector.cci.CustomRecord

All Implemented Interfaces:
  Cloneable, com.microfocus.cobol.lang.CustomRecord, Record, Serializable

public abstract class CustomRecord
extends Object
implements Record, com.microfocus.cobol.lang.CustomRecord

This abstract class is the base classfor all custom records.

See Also:
  Serialized Form

Field Summary
`protected String` | `description`
`protected String` | `recordName`

Constructor Summary
`CustomRecord()`

Method Summary
`Object` | `clone()` clone the custom record instance.
`boolean` | `equals(Object other)` Is this record equal to the other record ?
`String` | `getRecordName()` Get the record name.
`String` | `getRecordShortDescription()` Get a short description of the record
`int` | `hashCode()` Return a hash code for the Custom Recod instance.
`void` | `setRecordName(String name)` Set the record name
`void` | `setRecordShortDescription(String description)` set a short description of the record

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.microfocus.cobol.lang.CustomRecord
`getParameters, setParameters`

Field Detail

### recordName

    protected String recordName

### description

    protected String description

Constructor Detail

### CustomRecord

    public CustomRecord()

Method Detail

### getRecordName

    public String getRecordName()

  Get the record name.

  Specified by:
    `getRecordName` in interface `Record`
  Returns:
    The record name

### setRecordName

    public void setRecordName(String name)

  Set the record name

  Specified by:
    `setRecordName` in interface `Record`
  Parameters:
    `name` - The record name.

### getRecordShortDescription

    public String getRecordShortDescription()

  Get a short description of the record

  Specified by:
    `getRecordShortDescription` in interface `Record`
  Returns:
    The short description of the record.

### setRecordShortDescription

    public void setRecordShortDescription(String description)

  set a short description of the record

  Specified by:
    `setRecordShortDescription` in interface `Record`
  Parameters:
    `description` - A short description of the record

### equals

    public boolean equals(Object other)

  Is this record equal to the other record ?

  Specified by:
    `equals` in interface `Record`
  Parameters:
    `other` - The other record
  Returns:
    true if two instances are equal, false otherwise.

### hashCode

    public int hashCode()

  Return a hash code for the Custom Recod instance.

  Specified by:
    `hashCode` in interface `Record`
  Returns:
    The hascode for the Custom Recod instance.

### clone

    public Object clone()
                 throws CloneNotSupportedException

  clone the custom record instance.

  Specified by:
    `clone` in interface `Record`
  Returns:
    The cloned object
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.